# Retrieve list of audience behaviors

Retrieve a list of parent segment behaviors.

Endpoint: GET /audiences/{audienceId}/behaviors
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    ID of Master Segment Config to return

## Query parameters:

  - `realtime` (boolean)

## Response 200 fields (application/json):

  - `id` (string, required)
    ID of Master Segment Config behavior

  - `name` (string, required)
    Behavior name user defined on Master Segment Configuration page of Data Workbench

  - `parentDatabaseName` (string, required)
    Database name of the behavior table

  - `parentTableName` (string, required)
    Table name of the behavior table

  - `parentKey` (string, required)
    Join key of the behavior table

  - `foreignKey` (string, required)
    Foreign key of the master table

  - `schema` (array, required)
    Columns of behavior

  - `schema.name` (string, required)
    Column name user defined on Master Segment Configuration page of Data Workbench

  - `schema.type` (string, required)
    Type of the column
    Enum: "string", "number", "timestamp", "string_array", "number_array"

  - `schema.parentColumn` (string,null, required)
    Column name of the behavior table (This can be null when the column is an enriched column)

  - `schema.matrixColumnName` (string)
    Column name of the behavior table

  - `schema.matrixColumnDescription` (string,null)
    Description of the column in behavior table

  - `schema.visibility` (string)
    Enum: "clear", "pii", "non_pii", "blocked"

  - `scheduleType` (string)
    Enum: "cron", "daily", "hourly", "minutes_interval", "monthly", "none", "weekly"

  - `scheduleOption` (string,null)

  - `defaultTimeFilterEnabled` (boolean)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


